-- ---------------------------------------------------------------------------
-- ASSIGNMENT_ASSIGNMENT
-- ---------------------------------------------------------------------------

CREATE TABLE ASSIGNMENT_ASSIGNMENT
(
    ASSIGNMENT_ID VARCHAR (99) NOT NULL,
	CONTEXT VARCHAR (99),
    XML CLOB
);

CREATE UNIQUE INDEX ASSIGN_ASSIGN_IDX ON ASSIGNMENT_ASSIGNMENT
(
	ASSIGNMENT_ID
) ALLOW REVERSE SCANS;

CREATE INDEX ASSIGN_ASSIGN_CTXT ON ASSIGNMENT_ASSIGNMENT
(
	CONTEXT
) ALLOW REVERSE SCANS;

-- ---------------------------------------------------------------------------
-- ASSIGNMENT_CONTENT
-- ---------------------------------------------------------------------------

CREATE TABLE ASSIGNMENT_CONTENT
(
    CONTENT_ID VARCHAR (99) NOT NULL,
	CONTEXT VARCHAR (99),
    XML CLOB
);

CREATE UNIQUE INDEX ASSIGN_CONT_IDX ON ASSIGNMENT_CONTENT
(
	CONTENT_ID
) ALLOW REVERSE SCANS;

CREATE INDEX ASSIGN_CONT_CTXT ON ASSIGNMENT_CONTENT
(
	CONTEXT
) ALLOW REVERSE SCANS;

-- ---------------------------------------------------------------------------
-- ASSIGNMENT_SUBMISSION
-- ---------------------------------------------------------------------------

CREATE TABLE ASSIGNMENT_SUBMISSION
(
    SUBMISSION_ID VARCHAR (99) NOT NULL,
	CONTEXT VARCHAR (99) NOT NULL,
	SUBMITTER_ID VARCHAR(99) NOT NULL,
	SUBMIT_TIME VARCHAR(99),
	SUBMITTED VARCHAR(6),
	GRADED VARCHAR(6),
    XML CLOB
) ;

CREATE UNIQUE INDEX ASSIGN_SUBM_IDX ON ASSIGNMENT_SUBMISSION
(
	SUBMISSION_ID
) ALLOW REVERSE SCANS;

CREATE INDEX ASSIGN_SUBM_CTXT ON ASSIGNMENT_SUBMISSION
(
	CONTEXT
) ALLOW REVERSE SCANS;

CREATE UNIQUE INDEX ASSIGN_SUBM_SBMTR_IDX ON ASSIGNMENT_SUBMISSION
(
	CONTEXT,SUBMITTER_ID
) ALLOW REVERSE SCANS;
